aiengine: XAieDma_TileBdLock Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieDma_TileBdLock Struct Reference

This typedef contains the lock and base address attributes of the double buffer for the BD. More...

## Data Fields
u8 | LockId
| Lock ID value, ranging from 0-15. More...
u8 | LkRelEn
| Lock release enable. More...
u8 | LkRelVal
| Lock release value. More...
u8 | LkRelValEn
| Lock release value enable. More...
u8 | LkAcqEn
| Lock acquire enable. More...
u8 | LkAcqVal
| Lock acquire value. More...
u8 | LkAcqValEn
| Lock acquire value enable. More...
u16 | BaseAddr
| Base address. More...

## Detailed Description

This typedef contains the lock and base address attributes of the double buffer for the BD.

## Field Documentation

u16 XAieDma_TileBdLock::BaseAddr

Base address.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetAdrLenMod(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkAcqEn

Lock acquire enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkAcqVal

Lock acquire value.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkAcqValEn

Lock acquire value enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkRelEn

Lock release enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkRelVal

Lock release value.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LkRelValEn

Lock release value enable.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().

u8 XAieDma_TileBdLock::LockId

Lock ID value, ranging from 0-15.

Referenced by XAieDma_TileBdClear(), XAieDma_TileBdSetLock(), and XAieDma_TileBdWrite().